Skip to main content

Fields

id: number

Attributes: Unique
A unique identifier assigned to each customer.

name: string

The full name of the customer.

phone_number: string

Attributes: Unique The customer’s primary phone number, including the country code.

secondary_phone_number: string

An alternative phone number for the customer, also including the country code.

email: string

The customer’s email address.

locations: array<object<CustomerLocation>>

  • Attributes: Read-only, conditional
The customer’s locations. This field is only included when the request is made with the ?include_locations=true query parameter (on the customer list and retrieve endpoints); it is omitted otherwise.

Example

Default response:
With ?include_locations=true:
The list endpoint (GET /customers/) returns results wrapped in a pagination envelope: { "count", "next", "previous", "results": [ ... ] }.